#
# spec file for package latex2rtf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Get the major version of makeinfo.
%define makeinfo_major_version %(MJ="`rpm -q --queryformat='%{VERSION}' makeinfo | cut -c 1`"; echo $MJ)
Name:           latex2rtf
Version:        2.3.11a
Release:        1.1
Summary:        LaTeX to RTF Converter
License:        GPL-2.0+
Group:          Productivity/Other
Url:            http://latex2rtf.sourceforge.net/index.html
Source0:        http://downloads.sourceforge.net/project/latex2rtf/latex2rtf-unix/2.3.11/latex2rtf-%{version}.tar.gz
# PATCH-FIX-OPENSUSE fix_makefile_dist.patch ronisbr@gmail.com Fix Makefile to allow latex2rtf to be build by a server farm
Patch1:         fix_makefile_dist.patch
# PATCH-FIX-OPENSUSE fix_latex2rtf_texi.patch ronisbr@gmail.com Fix info page of latex2rtf
Patch2:         fix_latex2rtf_texi.patch
BuildRequires:  gcc-c++
BuildRequires:  m4
BuildRequires:  makeinfo
BuildRequires:  texinfo
Requires:       ImageMagick
Requires:       netpbm
Requires:       texlive-scheme-basic
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}

%description
LaTeX2RTF is a translator program to convert LaTeX formatted text files into
“rich text format” (RTF) files. RTF is a published standard format by Microsoft.
This standard can be ambiguous in places, but RTF is supported by many text
editors. Specifically, it is supported by Microsoft Word. This means that the
conversion of a LaTeX document to RTF allows anyone with a copy of Word to
convert LaTeX files to Word .doc or .docx files.

%prep
%setup -q -n %{name}-2.3.11

%patch1 -p1
%patch2 -p1

%build

make DESTDIR=%{buildroot} \
     BINDIR=%{_bindir} \
     MANDIR=%{_mandir}/man1/ \
     INFODIR=%{_infodir}/ \
     SUPPORTDIR=%{_datadir}/latex2rtf \
     CFGDIR=%{_datadir}/latex2rtf/cfg \
     latex2rtf

make DESTDIR=%{buildroot} \
     BINDIR=%{_bindir} \
     MANDIR=%{_mandir}/man1/ \
     INFODIR=%{_infodir}/ \
     SUPPORTDIR=%{_datadir}/latex2rtf \
     CFGDIR=%{_datadir}/latex2rtf/cfg \
     doc

%install

make install DESTDIR=%{buildroot} \
             BINDIR=%{_bindir} \
             MANDIR=%{_mandir}/man1/ \
             INFODIR=%{_infodir}/ \
             SUPPORTDIR=%{_datadir}/latex2rtf \
             CFGDIR=%{_datadir}/latex2rtf/cfg

make install-info DESTDIR=%{buildroot} \
             BINDIR=%{_bindir} \
             MANDIR=%{_mandir}/man1/ \
             INFODIR=%{_infodir}/ \
             SUPPORTDIR=%{_datadir}/latex2rtf \
             CFGDIR=%{_datadir}/latex2rtf/cfg

# GZip man page.
gzip %{buildroot}/%{_mandir}/man1/latex2rtf.1
gzip %{buildroot}/%{_mandir}/man1/latex2png.1

# Fix permissions of docs.
chmod 644 ChangeLog HACKING README ToDo doc/credits doc/copying.txt

%files
%defattr(-,root,root)
%doc ChangeLog HACKING README ToDo doc/credits doc/copying.txt
%{_bindir}/latex2rtf
%{_bindir}/latex2png
%dir %{_datadir}/latex2rtf
%attr(0644,root,root) %{_datadir}/latex2rtf/latex2rtf.*
%dir %{_datadir}/latex2rtf/cfg
%attr(0644,root,root) %{_datadir}/latex2rtf/cfg/*.cfg
%attr(0644,root,root) %{_mandir}/man1/latex2rtf.1.gz
%attr(0644,root,root) %{_mandir}/man1/latex2png.1.gz
%attr(0644,root,root) %{_infodir}/latex2rtf.info.gz

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info --delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
* Thu Aug  4 2016 ronisbr@gmail.com
- Version bump to 2.3.11a.
  Changelog:
  * Increased malloc size for character array by one to allow
    terminating null character in definitions.c line 157,
    graphics.c line 1882, tables.c line 1548 and line 1561.
  * Released as v.2.3.11.
- Remove unneeded patches:
  * `latex2rtf-fix-memory-leak.patch`
  * `texinfo5.patch`
* Thu Jun  2 2016 ronisbr@gmail.com
- Add patch ` latex2rtf-fix-memory-leak.patch` to fix a memory leak
  in `abbreviate` function. For more information, see:
    https://sourceforge.net/p/latex2rtf/mailman/message/35132586/
* Sun Jan 10 2016 ronisbr@gmail.com
- Run spec-cleaner.
* Sun Jan 10 2016 ronisbr@gmail.com
- Fix permissions of doc directory.
- Remove unnecessary %%check section.
* Sun Jan 10 2016 ronisbr@gmail.com
- Change license to GPL-2.0+ and add doc/copying.txt as per
  babelworx request.
* Mon Dec 28 2015 ronisbr@gmail.com
- Change patch `fix_latex2rtf_info.patch` to
  `fix_latex2rtf_texi.patch`.
  * The info page is now built during the build process. Thus,
    the new patch fix the .texi file so that the build process
    create the correct info page.
- Run spec-cleaner.
- Remove white spaces in `latex2rtf.changes`.
- Version bump to 2.3.10.
  Changelog:
  * Version 2.3.10 fixes a bug (potential vulnerability in
    processing the LaTeX command \keywords{})
  * Version 2.3.9 switches to the recent version of Ghostscript.
    Use eps2eps from Ghostscript instead of from MikTeX
    distribution. Therefore changed the order of program folders
    in PATH setting in l2rshell.exe (windows GUI) as well as in
    l2rprep.bat Modified latex2png script for compatibility with
    Ghostscript 9.14 and newer (gs 9.14 and newer use a different
    eps2eps script producing better quality eps files on the
    expense of containing binary stuff)
* Mon Sep  7 2015 ronisbr@gmail.com
- The patch `texinfo5.patch` must also be applied for texinfo 6.
  Otherwise, latex2rtf build will fail for Tumbleweed and Factory.
* Fri Apr 24 2015 ronisbr@gmail.com
- Fix the permissions of directory /usr/share/latex2rtf/cfg
* Fri Apr 24 2015 ronisbr@gmail.com
- Add ToDo and credits to the documentation.
* Fri Apr 24 2015 ronisbr@gmail.com
- Add texinfo as a build requirement.
* Fri Apr 24 2015 ronisbr@gmail.com
- Add a patch (texinfo5.patch) to fix building of latex2rtf using
  makeinfo 5. This patch was obtained from Gentoo ebuild of
  latex2rtf.
* Fri Apr 17 2015 ronisbr@gmail.com
- latex2rtf 2.3.8
